ERROR Could not bind to (u0.0.0.0, u8000) · Issue #118 · Eugeny/ajenti-v · GitHub



ERROR Could not bind to (u0.0.0.0, u8000) #118

          Open        
Sorbing opened this Issue

on 13 Oct 2014

        · 2 comments    

    Labels  

    None yet

    Milestone  

      No milestone

    Assignee  

      No one assigned

      3 participants    

Sorbing     commented    

on 13 Oct 2014

I installed the Ajenti on Ubuntu 14.04 x64 and when I run sudo ajenti-panel -v — I get error:

13.10.2014 14:09 core.py:99    INFO  Starting server on (u'0.0.0.0', u'8000')
13.10.2014 14:09 core.py:121   ERROR Could not bind to (u'0.0.0.0', u'8000')

I have verified that port 8000 is free:

netstat -tlnp | grep 8000
sudo nmap -sT -O localhost

Prompt in what could be the problem? Thanks.

juslintek     commented    

on 10 Jun

Me too on Debian 8; But while ajento was on in confi.json I changed port to 10000 saved run ajenti-panel-v and everything was fine. Then restarted after ajenti-panel -v same error. Again changed in config.json port back to 8000 saved run ajenti-panel-v ant its binding the address and I get the green light, but when I try to connect to web panel, nothing happens, here is what traceback I get:

Traceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/gevent/greenlet.py", line 327, in run
    result = self._run(*self.args, **self.kwargs)
  File "/usr/lib/python2.7/dist-packages/gevent/server.py", line 102, in wrap_soc                                                                                       ket_and_handle
    ssl_socket = self.wrap_socket(client_socket, **self.ssl_args)
  File "/usr/lib/python2.7/dist-packages/gevent/ssl.py", line 382, in wrap_socket
    ciphers=ciphers)
  File "/usr/lib/python2.7/dist-packages/gevent/ssl.py", line 84, in __init__
    ctx = SSLContext(ssl_version)
NameError: global name 'SSLContext' is not defined
>( failed with                                                                                        NameError'

managed to launch ajenti by upgradint gevent.

aptitude install python-dev && pip install gevent --upgrade

The bind error persists until I change config.json and run ajenti-panel -vd

P.S. Lol now I’m clear. Error appear, because I was launching second instance of ajenti, while it was running, I was trying to debug.

Sign up for free to join this conversation on GitHub.      Already have an account?      Sign in to comment


https://github.com/Eugeny/ajenti-v/issues/118

Губарь Маргарита Александровна